Project

General

Profile

Bug #11036

HAproxy ACL

Added by Danilo Zrenjanin 2 months ago. Updated 2 months ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
haproxy
Target version:
-
Start date:
11/05/2020
Due date:
% Done:

0%

Estimated time:
Affected Version:
Affected Architecture:

Description

If you try to edit an existing Access Control list on already defined TCP type Frontend, an unsupported Expression list will appear. Selecting any of those will lead to error after saving the Frontend setup.

Steps to reproduce:

1.Set up a Backend.
2.Set up a TCP type Frontend, define Name, Expression, and Value under the Access Control list setup.
3.Set up an Action (use defined Backend from the first step)
4.Save the Frontend setup.
5.Click on the pencil button to edit the Fronted.
6.Click on the pencil button to edit earlier defined Access Control List. 
7.You will notice the list of Expressions which are not supported by TCP type Frontend.

History

#1 Updated by Marcos Mendoza 2 months ago

I was able to reproduce this on pfSense 2.5 with haproxy-devel 0.61_1.

Also available in: Atom PDF